EpicIdiotXPbar = {}

EpicIdiotXPbar.name = "EpicIdiotXPbar" 
EpicIdiotXPbar.version = "1" 

function EpicIdiotXPbar.OnAddOnLoaded(event, addonName)
   if addonName ~= EpicIdiotXPbar.name then return end
    --ZO_ActionBar1:ClearAnchors()
    --ZO_ActionBar1:SetAnchor(BOTTOM, nil, BOTTOM, 0, -18)
	--local screensizeX = GuiRoot:GetWidth()
	--EpicIdiotXPbarWindowBackdrop:SetWidth(1600)
	--EpicIdiotXPbarWindowStatusBar:SetMinMax(0, 1596)
	EpicIdiotXPbar:Initialize()
end
    
	local customSkillsActionBarFragment = ZO_SkillsActionBarFragment:New() 
    function customSkillsActionBarFragment:OnShown()
        -- call original (class) method
        ZO_SkillsActionBarFragment.OnShown(self)
        ZO_ActionBar1:ClearAnchors()
		ZO_ActionBar1:SetAnchor(BOTTOM, nil, BOTTOM, 0, -23)
    end
     
    function customSkillsActionBarFragment:OnStateChange(oldState, newState)
        -- call original (class) method
        ZO_SkillsActionBarFragment.OnStateChange(self, oldState, newState)
        ZO_ActionBar1:ClearAnchors()
		ZO_ActionBar1:SetAnchor(BOTTOM, nil, BOTTOM, 0, -23)
    end
     
	local skillsScene = SCENE_MANAGER:GetScene("skills")
	skillsScene:RemoveFragment(SKILLS_ACTION_BAR_FRAGMENT)
	skillsScene:AddFragment(customSkillsActionBarFragment)
	
 function EpicIdiotXPbar.calculateXP()

    ZO_ActionBar1:ClearAnchors()
    ZO_ActionBar1:SetAnchor(BOTTOM, nil, BOTTOM, 0, -23)
 

	if(GetUnitVeteranRank("player") > 0)
	then
		xpCurrent = GetUnitVeteranPoints("player")
		xpMax = GetUnitVeteranPointsMax("player")
		level = GetUnitVeteranRank("player")
		EpicIdiotXPbarWindowLabel_2:SetText( string.format ( "VR   %d" , level))
	else
		xpCurrent = GetUnitXP("player")
		xpMax = GetUnitXPMax("player")
		level = GetUnitLevel("player")
		EpicIdiotXPbarWindowLabel_2:SetText( string.format ( "LEVEL   %d" , level))
    end
	--local screensizeX = GuiRoot:GetWidth()
	local xpPercent = xpCurrent/xpMax * 100
	EpicIdiotXPbarWindowBackdrop:SetWidth(1600)
	EpicIdiotXPbarWindowStatusBar:SetMinMax(0, 1596)
	EpicIdiotXPbarWindowStatusBar:SetValue(xpCurrent/xpMax * 1596)-- adding 1 to the player xp seems to fix an issue with scaling...???
	EpicIdiotXPbarWindowLabel:SetText( string.format ("%d%%      %d / %d" , xpPercent, xpCurrent , xpMax ) )

	end
function EpicIdiotXPbar:Initialize()

	EpicIdiotXPbar.calculateXP()
 
	EVENT_MANAGER:UnregisterForEvent(EpicIdiotXPbar.name, EVENT_ADD_ON_LOADED)
end

EVENT_MANAGER:RegisterForEvent(EpicIdiotXPbar.name, EVENT_ADD_ON_LOADED, EpicIdiotXPbar.OnAddOnLoaded)
EVENT_MANAGER:RegisterForEvent (EpicIdiotXPbar.name, EVENT_EXPERIENCE_UPDATE,EpicIdiotXPbar.calculateXP)
EVENT_MANAGER:RegisterForEvent (EpicIdiotXPbar.name, EVENT_VETERAN_POINTS_GAIN,EpicIdiotXPbar.calculateXP)
EVENT_MANAGER:RegisterForEvent (EpicIdiotXPbar.name, EVENT_SKILL_POINTS_CHANGED,EpicIdiotXPbar.calculateXP)
EVENT_MANAGER:RegisterForEvent (EpicIdiotXPbar.name, EVENT_RETICLE_HIDDEN_UPDATE ,EpicIdiotXPbar.calculateXP)
--EVENT_MANAGER:RegisterForEvent (EpicIdiotXPbar.name, EVENT_CURSOR_DROPPED,EpicIdiotXPbar.calculateXP)
